Subject: Re: [PATCH netdev-2.6 7/10] ixgb: Replace kmalloc with vmalloc to allocate driver local data structures

From: Christoph Hellwig <[email-masked]>
Date: Fri, 29 Oct 2004 14:08:17 +0100

On Fri, Oct 29, 2004 at 05:50:45AM -0700, Venkatesan, Ganesh wrote:
> This is a trade-off between space allocated via kmalloc and vmalloc. My
> understanding is that kmalloc space is more limited than vmalloc. Is
> this incorrect?

Yes. kmalloc space is only limited by the amount of free memory you have
in your system, vmalloc has very low absolute limits (down to 64MB in
some configurations)..

> With the original implementation that used kmalloc for all allocations
> in the driver, I have noticed allocation failures when the ring sizes
> were set to 4096.

4096 what?